sensors::Logger_2_1_6::Settings Struct Reference

Sensor logger settings. More...

`import"SensorLogger.idl";`

## Public Attributes

boolean | isEnabled
| `true` if sensor logging is enabled
int | samplePeriod
| Sensor scan interval in milliseconds.
int | samplesPerRecord
| Number of samples per log record.
int | oldestRecId
| ID of oldest record in buffer (0 if empty)
int | newestRecId
| ID of newest record in buffer (0 if empty)
int | logCapacity
| Maximum number of log records in buffer.

## Detailed Description

Sensor logger settings.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/SensorLogger.idl